diff --git a/docs/en_US/pgadmin3.hhp.cached b/docs/en_US/pgadmin3.hhp.cached
index c802eae..f64da51 100644
Binary files a/docs/en_US/pgadmin3.hhp.cached and b/docs/en_US/pgadmin3.hhp.cached differ
diff --git a/docs/en_US/slony-example.html b/docs/en_US/slony-example.html
index 147d13c..381cfb7 100644
--- a/docs/en_US/slony-example.html
+++ b/docs/en_US/slony-example.html
@@ -65,7 +65,7 @@ schema and workload.
     &gt; slon -addengine Slony-I C:\slony\slave2.conf
     </code><br />&nbsp;</li>
 
-  <li>In pgAdmin under the Replication node in the master database, create a new
+  <li>In pgAdmin under the Slony replication node in the master database, create a new
   Slony-I cluster using the following options:<br /><br />
 
     <pre>
@@ -75,7 +75,7 @@ Local node:            1        Master node
 Admin node:            99       Admin node
     </pre></li>
 
-  <li>Under the Replication node, create a Slony-I cluster in each of the slave
+  <li>Under the Slony replication node, create a Slony-I cluster in each of the slave
   databases using the following options:<br /><br />
 
     <pre>
diff --git a/pgadmin/frm/frmMain.cpp b/pgadmin/frm/frmMain.cpp
index 0bd7dd7..8283e81 100644
--- a/pgadmin/frm/frmMain.cpp
+++ b/pgadmin/frm/frmMain.cpp
@@ -312,7 +312,7 @@ void frmMain::CreateMenus()
 	new slonyUnlockSetFactory(menuFactories, slonyMenu, 0);
 	new slonyMergeSetFactory(menuFactories, slonyMenu, 0);
 	new slonyMoveSetFactory(menuFactories, slonyMenu, 0);
-	toolsMenu->Append(MNU_SLONY_SUBMENU, _("Replication"), slonyMenu);
+	toolsMenu->Append(MNU_SLONY_SUBMENU, _("Slony replication"), slonyMenu);
 
 	propFactory = new propertyFactory(menuFactories, 0, toolBar);
 	new separatorFactory(menuFactories);
diff --git a/pgadmin/slony/slCluster.cpp b/pgadmin/slony/slCluster.cpp
index 8933722..81c3ec9 100644
--- a/pgadmin/slony/slCluster.cpp
+++ b/pgadmin/slony/slCluster.cpp
@@ -515,7 +515,7 @@ pgCollection *slObjFactory::CreateCollection(pgObject *obj)
 
 
 pgaSlClusterFactory slClusterFactory;
-static pgaCollectionFactory cf(&slClusterFactory, __("Replication"), slclusters_png_img);
+static pgaCollectionFactory cf(&slClusterFactory, __("Slony replication"), slclusters_png_img);
 
 //////////////////////////////////////////////7
 
diff --git a/pgadmin/ui/dlgAggregate.xrc b/pgadmin/ui/dlgAggregate.xrc
index a529cf9..dbaf47f 100644
--- a/pgadmin/ui/dlgAggregate.xrc
+++ b/pgadmin/ui/dlgAggregate.xrc
@@ -79,7 +79,7 @@
                 </object>
                 <object class="sizeritem">
                   <object class="wxStaticText" name="stClusterSet">
-                    <label>Use replication</label>
+                    <label>Use slony</label>
                   </object>
                   <flag>wxALIGN_CENTRE_VERTICAL|wxALL</flag>
                   <border>4</border>
diff --git a/pgadmin/ui/dlgCast.xrc b/pgadmin/ui/dlgCast.xrc
index d86bb1b..55e5926 100644
--- a/pgadmin/ui/dlgCast.xrc
+++ b/pgadmin/ui/dlgCast.xrc
@@ -64,7 +64,7 @@
                 </object>
                 <object class="sizeritem">
                   <object class="wxStaticText" name="stClusterSet">
-                    <label>Use replication</label>
+                    <label>Use Slony</label>
                   </object>
                   <flag>wxALIGN_CENTER_VERTICAL|wxALL</flag>
                   <border>4</border>
diff --git a/pgadmin/ui/dlgCheck.xrc b/pgadmin/ui/dlgCheck.xrc
index adc7d72..d583e77 100644
--- a/pgadmin/ui/dlgCheck.xrc
+++ b/pgadmin/ui/dlgCheck.xrc
@@ -51,7 +51,7 @@
                 </object>
                 <object class="sizeritem">
                   <object class="wxStaticText" name="stClusterSet">
-                    <label>Use replication</label>
+                    <label>Use Slony</label>
                   </object>
                   <flag>wxALIGN_CENTER_VERTICAL|wxALL</flag>
                   <border>4</border>
diff --git a/pgadmin/ui/dlgCollation.xrc b/pgadmin/ui/dlgCollation.xrc
index f0f55b0..c7e4952 100644
--- a/pgadmin/ui/dlgCollation.xrc
+++ b/pgadmin/ui/dlgCollation.xrc
@@ -78,7 +78,7 @@
                 </object>
                 <object class="sizeritem">
                   <object class="wxStaticText" name="stClusterSet">
-                    <label>Use replication</label>
+                    <label>Use Slony</label>
                   </object>
                   <flag>wxALIGN_CENTER_VERTICAL|wxALL</flag>
                   <border>4</border>
diff --git a/pgadmin/ui/dlgColumn.xrc b/pgadmin/ui/dlgColumn.xrc
index dc4180b..9d585ab 100644
--- a/pgadmin/ui/dlgColumn.xrc
+++ b/pgadmin/ui/dlgColumn.xrc
@@ -92,7 +92,7 @@
                 </object>
                 <object class="sizeritem">
                   <object class="wxStaticText" name="stClusterSet">
-                    <label>Use replication</label>
+                    <label>Use Slony</label>
                   </object>
                   <flag>wxALIGN_CENTER_VERTICAL|wxALL</flag>
                   <border>4</border>
diff --git a/pgadmin/ui/dlgConversion.xrc b/pgadmin/ui/dlgConversion.xrc
index 0b434aa..cf9a889 100644
--- a/pgadmin/ui/dlgConversion.xrc
+++ b/pgadmin/ui/dlgConversion.xrc
@@ -79,7 +79,7 @@
                 </object>
                 <object class="sizeritem">
                   <object class="wxStaticText" name="stClusterSet">
-                    <label>Use replication</label>
+                    <label>Use Slony</label>
                   </object>
                   <flag>wxALIGN_CENTER_VERTICAL|wxALL</flag>
                   <border>4</border>
diff --git a/pgadmin/ui/dlgDomain.xrc b/pgadmin/ui/dlgDomain.xrc
index 42a8bcc..265ab1d 100644
--- a/pgadmin/ui/dlgDomain.xrc
+++ b/pgadmin/ui/dlgDomain.xrc
@@ -79,7 +79,7 @@
                 </object>
                 <object class="sizeritem">
                   <object class="wxStaticText" name="stClusterSet">
-                    <label>Use replication</label>
+                    <label>Use Slony</label>
                   </object>
                   <flag>wxALIGN_CENTER_VERTICAL|wxALL</flag>
                   <border>4</border>
diff --git a/pgadmin/ui/dlgExtTable.xrc b/pgadmin/ui/dlgExtTable.xrc
index f7e6b41..402fa62 100644
--- a/pgadmin/ui/dlgExtTable.xrc
+++ b/pgadmin/ui/dlgExtTable.xrc
@@ -79,7 +79,7 @@
                 </object>
                 <object class="sizeritem">
                   <object class="wxStaticText" name="stClusterSet">
-                    <label>Use replication</label>
+                    <label>Use Slony</label>
                   </object>
                   <flag>wxALIGN_CENTRE_VERTICAL|wxTOP|wxLEFT|wxRIGHT</flag>
                   <border>4</border>
diff --git a/pgadmin/ui/dlgExtension.xrc b/pgadmin/ui/dlgExtension.xrc
index 116cb18..75fc8a6 100644
--- a/pgadmin/ui/dlgExtension.xrc
+++ b/pgadmin/ui/dlgExtension.xrc
@@ -66,7 +66,7 @@
                 </object>
                 <object class="sizeritem">
                   <object class="wxStaticText" name="stClusterSet">
-                    <label>Use replication</label>
+                    <label>Use Slony</label>
                   </object>
                   <flag>wxALIGN_CENTRE_VERTICAL|wxALL</flag>
                   <border>4</border>
diff --git a/pgadmin/ui/dlgForeignDataWrapper.xrc b/pgadmin/ui/dlgForeignDataWrapper.xrc
index cfbea74..cf891ca 100644
--- a/pgadmin/ui/dlgForeignDataWrapper.xrc
+++ b/pgadmin/ui/dlgForeignDataWrapper.xrc
@@ -83,7 +83,7 @@
                 </object>
                 <object class="sizeritem">
                   <object class="wxStaticText" name="stClusterSet">
-                    <label>Use replication</label>
+                    <label>Use Slony</label>
                   </object>
                   <flag>wxALIGN_CENTRE_VERTICAL|wxALL</flag>
                   <border>4</border>
diff --git a/pgadmin/ui/dlgForeignKey.xrc b/pgadmin/ui/dlgForeignKey.xrc
index 574cb84..614bf1d 100644
--- a/pgadmin/ui/dlgForeignKey.xrc
+++ b/pgadmin/ui/dlgForeignKey.xrc
@@ -50,7 +50,7 @@
                 </object>
                 <object class="sizeritem">
                   <object class="wxStaticText" name="stClusterSet">
-                    <label>Use replication</label>
+                    <label>Use Slony</label>
                   </object>
                   <flag>wxALIGN_CENTRE_VERTICAL|wxTOP|wxLEFT|wxRIGHT</flag>
                   <border>4</border>
diff --git a/pgadmin/ui/dlgForeignServer.xrc b/pgadmin/ui/dlgForeignServer.xrc
index ba485d7..118dc53 100644
--- a/pgadmin/ui/dlgForeignServer.xrc
+++ b/pgadmin/ui/dlgForeignServer.xrc
@@ -83,7 +83,7 @@
                 </object>
                 <object class="sizeritem">
                   <object class="wxStaticText" name="stClusterSet">
-                    <label>Use replication</label>
+                    <label>Use Slony</label>
                   </object>
                   <flag>wxALIGN_CENTRE_VERTICAL|wxALL</flag>
                   <border>4</border>
diff --git a/pgadmin/ui/dlgForeignTable.xrc b/pgadmin/ui/dlgForeignTable.xrc
index f45b455..b755148 100644
--- a/pgadmin/ui/dlgForeignTable.xrc
+++ b/pgadmin/ui/dlgForeignTable.xrc
@@ -79,7 +79,7 @@
                 </object>
                 <object class="sizeritem">
                   <object class="wxStaticText" name="stClusterSet">
-                    <label>Use replication</label>
+                    <label>Use Slony</label>
                   </object>
                   <flag>wxALIGN_CENTRE_VERTICAL|wxALL</flag>
                   <border>4</border>
diff --git a/pgadmin/ui/dlgFunction.xrc b/pgadmin/ui/dlgFunction.xrc
index e7d5a21..8b9fb58 100644
--- a/pgadmin/ui/dlgFunction.xrc
+++ b/pgadmin/ui/dlgFunction.xrc
@@ -76,7 +76,7 @@
                 </object>
                 <object class="sizeritem">
                   <object class="wxStaticText" name="stClusterSet">
-                    <label>Use replication</label>
+                    <label>Use Slony</label>
                   </object>
                   <flag>wxALIGN_CENTRE_VERTICAL|wxALL</flag>
                   <border>4</border>
diff --git a/pgadmin/ui/dlgGroup.xrc b/pgadmin/ui/dlgGroup.xrc
index eecc64f..158b2c1 100644
--- a/pgadmin/ui/dlgGroup.xrc
+++ b/pgadmin/ui/dlgGroup.xrc
@@ -49,7 +49,7 @@
                 </object>
                 <object class="sizeritem">
                   <object class="wxStaticText" name="stClusterSet">
-                    <label>Use replication</label>
+                    <label>Use Slony</label>
                   </object>
                   <flag>wxALIGN_CENTRE_VERTICAL|wxALL</flag>
                   <border>4</border>
diff --git a/pgadmin/ui/dlgIndex.xrc b/pgadmin/ui/dlgIndex.xrc
index 0bb25ae..f159ba5 100644
--- a/pgadmin/ui/dlgIndex.xrc
+++ b/pgadmin/ui/dlgIndex.xrc
@@ -50,7 +50,7 @@
                 </object>
                 <object class="sizeritem">
                   <object class="wxStaticText" name="stClusterSet">
-                    <label>Use replication</label>
+                    <label>Use Slony</label>
                   </object>
                   <flag>wxALIGN_CENTRE_VERTICAL|wxALL</flag>
                   <border>4</border>
diff --git a/pgadmin/ui/dlgIndexConstraint.xrc b/pgadmin/ui/dlgIndexConstraint.xrc
index 4b947ee..fb812ef 100644
--- a/pgadmin/ui/dlgIndexConstraint.xrc
+++ b/pgadmin/ui/dlgIndexConstraint.xrc
@@ -51,7 +51,7 @@
                 </object>
                 <object class="sizeritem">
                   <object class="wxStaticText" name="stClusterSet">
-                    <label>Use replication</label>
+                    <label>Use Slony</label>
                   </object>
                   <flag>wxALIGN_CENTRE_VERTICAL|wxALL</flag>
                   <border>4</border>
diff --git a/pgadmin/ui/dlgLanguage.xrc b/pgadmin/ui/dlgLanguage.xrc
index b2e4a77..9d21f73 100644
--- a/pgadmin/ui/dlgLanguage.xrc
+++ b/pgadmin/ui/dlgLanguage.xrc
@@ -81,7 +81,7 @@
                 </object>
                 <object class="sizeritem">
                   <object class="wxStaticText" name="stClusterSet">
-                    <label>Use replication</label>
+                    <label>Use Slony</label>
                   </object>
                   <flag>wxALIGN_CENTRE_VERTICAL|wxALL</flag>
                   <border>4</border>
diff --git a/pgadmin/ui/dlgOperator.xrc b/pgadmin/ui/dlgOperator.xrc
index da6df77..9b835e1 100644
--- a/pgadmin/ui/dlgOperator.xrc
+++ b/pgadmin/ui/dlgOperator.xrc
@@ -79,7 +79,7 @@
                 </object>
                 <object class="sizeritem">
                   <object class="wxStaticText" name="stClusterSet">
-                    <label>Use replication</label>
+                    <label>Use Slony</label>
                   </object>
                   <flag>wxALIGN_CENTRE_VERTICAL|wxALL</flag>
                   <border>4</border>
diff --git a/pgadmin/ui/dlgPackage.xrc b/pgadmin/ui/dlgPackage.xrc
index 7fa1239..79efe76 100644
--- a/pgadmin/ui/dlgPackage.xrc
+++ b/pgadmin/ui/dlgPackage.xrc
@@ -78,7 +78,7 @@
                 </object>
                 <object class="sizeritem">
                   <object class="wxStaticText" name="stClusterSet">
-                    <label>Use replication</label>
+                    <label>Use Slony</label>
                   </object>
                   <flag>wxALIGN_CENTRE_VERTICAL|wxALL</flag>
                   <border>4</border>
diff --git a/pgadmin/ui/dlgRole.xrc b/pgadmin/ui/dlgRole.xrc
index 2eac360..67a9961 100644
--- a/pgadmin/ui/dlgRole.xrc
+++ b/pgadmin/ui/dlgRole.xrc
@@ -65,7 +65,7 @@
                 </object>
                 <object class="sizeritem">
                   <object class="wxStaticText" name="stClusterSet">
-                    <label>Use replication</label>
+                    <label>Use Slony</label>
                   </object>
                   <flag>wxALIGN_CENTRE_VERTICAL|wxALL</flag>
                    <border>4</border>
diff --git a/pgadmin/ui/dlgRule.xrc b/pgadmin/ui/dlgRule.xrc
index 6534e90..6c64e5d 100644
--- a/pgadmin/ui/dlgRule.xrc
+++ b/pgadmin/ui/dlgRule.xrc
@@ -64,7 +64,7 @@
                 </object>
                 <object class="sizeritem">
                   <object class="wxStaticText" name="stClusterSet">
-                    <label>Use replication</label>
+                    <label>Use Slony</label>
                   </object>
                   <flag>wxALIGN_CENTRE_VERTICAL|wxALL</flag>
                   <border>4</border>
diff --git a/pgadmin/ui/dlgSchema.xrc b/pgadmin/ui/dlgSchema.xrc
index bcf2f1a..db7da31 100644
--- a/pgadmin/ui/dlgSchema.xrc
+++ b/pgadmin/ui/dlgSchema.xrc
@@ -79,7 +79,7 @@
                 </object>
                 <object class="sizeritem">
                   <object class="wxStaticText" name="stClusterSet">
-                    <label>Use replication</label>
+                    <label>Use Slony</label>
                   </object>
                   <flag>wxALIGN_CENTRE_VERTICAL|wxALL</flag>
                   <border>4</border>
diff --git a/pgadmin/ui/dlgSequence.xrc b/pgadmin/ui/dlgSequence.xrc
index eda7442..2830d78 100644
--- a/pgadmin/ui/dlgSequence.xrc
+++ b/pgadmin/ui/dlgSequence.xrc
@@ -79,7 +79,7 @@
                 </object>
                 <object class="sizeritem">
                   <object class="wxStaticText" name="stClusterSet">
-                    <label>Use replication</label>
+                    <label>Use Slony</label>
                     <pos>5,247d</pos>
                   </object>
                   <flag>wxALIGN_CENTRE_VERTICAL|wxALL</flag>
diff --git a/pgadmin/ui/dlgSynonym.xrc b/pgadmin/ui/dlgSynonym.xrc
index 0a97eca..fd2f845 100644
--- a/pgadmin/ui/dlgSynonym.xrc
+++ b/pgadmin/ui/dlgSynonym.xrc
@@ -66,7 +66,7 @@
                 </object>
                 <object class="sizeritem">
                   <object class="wxStaticText" name="stClusterSet">
-                    <label>Use replication</label>
+                    <label>Use Slony</label>
                   </object>
                   <flag>wxALIGN_CENTRE_VERTICAL|wxALL</flag>
                   <border>4</border>
diff --git a/pgadmin/ui/dlgTable.xrc b/pgadmin/ui/dlgTable.xrc
index 301b7b0..051ada0 100644
--- a/pgadmin/ui/dlgTable.xrc
+++ b/pgadmin/ui/dlgTable.xrc
@@ -76,7 +76,7 @@
                 </object>
                 <object class="sizeritem">
                   <object class="wxStaticText" name="stClusterSet">
-                    <label>Use replication</label>
+                    <label>Use Slony</label>
                   </object>
                   <flag>wxALIGN_CENTRE_VERTICAL|wxALL</flag>
                   <border>4</border>
diff --git a/pgadmin/ui/dlgTextSearchConfiguration.xrc b/pgadmin/ui/dlgTextSearchConfiguration.xrc
index 8b475bb..401c6d0 100644
--- a/pgadmin/ui/dlgTextSearchConfiguration.xrc
+++ b/pgadmin/ui/dlgTextSearchConfiguration.xrc
@@ -83,7 +83,7 @@
                 </object>
                 <object class="sizeritem">
                   <object class="wxStaticText" name="stClusterSet">
-                    <label>Use replication</label>
+                    <label>Use Slony</label>
                   </object>
                   <flag>wxALIGN_CENTRE_VERTICAL|wxALL</flag>
                   <border>4</border>
diff --git a/pgadmin/ui/dlgTextSearchDictionary.xrc b/pgadmin/ui/dlgTextSearchDictionary.xrc
index 476d8d6..3a3c0a8 100644
--- a/pgadmin/ui/dlgTextSearchDictionary.xrc
+++ b/pgadmin/ui/dlgTextSearchDictionary.xrc
@@ -83,7 +83,7 @@
                 </object>
                 <object class="sizeritem">
                   <object class="wxStaticText" name="stClusterSet">
-                    <label>Use replication</label>
+                    <label>Use Slony</label>
                   </object>
                   <flag>wxALIGN_CENTRE_VERTICAL|wxALL</flag>
                   <border>4</border>
diff --git a/pgadmin/ui/dlgTextSearchParser.xrc b/pgadmin/ui/dlgTextSearchParser.xrc
index 9ec69e6..a97d3b5 100644
--- a/pgadmin/ui/dlgTextSearchParser.xrc
+++ b/pgadmin/ui/dlgTextSearchParser.xrc
@@ -82,7 +82,7 @@
                 </object>
                 <object class="sizeritem">
                   <object class="wxStaticText" name="stClusterSet">
-                    <label>Use replication</label>
+                    <label>Use Slony</label>
                   </object>
                   <flag>wxALIGN_CENTRE_VERTICAL|wxALL</flag>
                   <border>4</border>
diff --git a/pgadmin/ui/dlgTextSearchTemplate.xrc b/pgadmin/ui/dlgTextSearchTemplate.xrc
index 61b7f58..cecd99b 100644
--- a/pgadmin/ui/dlgTextSearchTemplate.xrc
+++ b/pgadmin/ui/dlgTextSearchTemplate.xrc
@@ -83,7 +83,7 @@
                 </object>
                 <object class="sizeritem">
                   <object class="wxStaticText" name="stClusterSet">
-                    <label>Use replication</label>
+                    <label>Use Slony</label>
                   </object>
                   <flag>wxALIGN_CENTRE_VERTICAL|wxALL</flag>
                   <border>4</border>
diff --git a/pgadmin/ui/dlgTrigger.xrc b/pgadmin/ui/dlgTrigger.xrc
index 27593b8..7db4f23 100644
--- a/pgadmin/ui/dlgTrigger.xrc
+++ b/pgadmin/ui/dlgTrigger.xrc
@@ -64,7 +64,7 @@
                 </object>
                 <object class="sizeritem">
                   <object class="wxStaticText" name="stClusterSet">
-                    <label>Use replication</label>
+                    <label>Use Slony</label>
                   </object>
                   <flag>wxALIGN_CENTRE_VERTICAL|wxTOP|wxLEFT|wxRIGHT</flag>
                   <border>4</border>
diff --git a/pgadmin/ui/dlgType.xrc b/pgadmin/ui/dlgType.xrc
index d8f0197..d46844a 100644
--- a/pgadmin/ui/dlgType.xrc
+++ b/pgadmin/ui/dlgType.xrc
@@ -78,7 +78,7 @@
                 </object>
                 <object class="sizeritem">
                   <object class="wxStaticText" name="stClusterSet">
-                    <label>Use replication</label>
+                    <label>Use Slony</label>
                   </object>
                   <flag>wxALIGN_CENTRE_VERTICAL|wxTOP|wxLEFT|wxRIGHT</flag>
                   <border>4</border>
diff --git a/pgadmin/ui/dlgUser.xrc b/pgadmin/ui/dlgUser.xrc
index fcbf8c2..bf41350 100644
--- a/pgadmin/ui/dlgUser.xrc
+++ b/pgadmin/ui/dlgUser.xrc
@@ -109,7 +109,7 @@
                 </object>
                 <object class="sizeritem">
                   <object class="wxStaticText" name="stClusterSet">
-                    <label>Use replication</label>
+                    <label>Use Slony</label>
                   </object>
                   <flag>wxALIGN_CENTRE_VERTICAL|wxTOP|wxLEFT|wxRIGHT</flag>
                   <border>4</border>
diff --git a/pgadmin/ui/dlgUserMapping.xrc b/pgadmin/ui/dlgUserMapping.xrc
index e158f9c..2426bcb 100644
--- a/pgadmin/ui/dlgUserMapping.xrc
+++ b/pgadmin/ui/dlgUserMapping.xrc
@@ -55,7 +55,7 @@
                 </object>
                 <object class="sizeritem">
                   <object class="wxStaticText" name="stClusterSet">
-                    <label>Use replication</label>
+                    <label>Use Slony</label>
                   </object>
                   <flag>wxALIGN_CENTRE_VERTICAL|wxALL</flag>
                   <border>4</border>
diff --git a/pgadmin/ui/dlgView.xrc b/pgadmin/ui/dlgView.xrc
index 2520e7f..2d7ee47 100644
--- a/pgadmin/ui/dlgView.xrc
+++ b/pgadmin/ui/dlgView.xrc
@@ -79,7 +79,7 @@
                 </object>
                 <object class="sizeritem">
                   <object class="wxStaticText" name="stClusterSet">
-                    <label>Use replication</label>
+                    <label>Use Slony</label>
                   </object>
                   <flag>wxALIGN_CENTRE_VERTICAL|wxTOP|wxLEFT|wxRIGHT</flag>
                   <border>4</border>
